VACATION(1)

NAME
vacation - reply to mail automatically

SYNOPSIS
vacation [ -I ]
vacation [ -j ] [ -a alias ] [ -tN ] username

DESCRIPTION

vacation automatically replies to incoming mail. The reply is contained in the file .vacation.msg in your home directory. The vacation program run interactively will create a .vacation.msg file for you (which you may edit). Type vacation with no arguments. (See USAGE below.)

For example, the message created by vacation is:

    Subject: away from my mail
    From:  smith (via the vacation program)
    I will not be reading my mail for a while.
    Your mail regarding "$SUBJECT" will be read when I return

The .vacation.msg file should include a header with at least a `Subject:' line (it should not contain a `To:' line and need not contain a `From:' line, since these are generated automatically).

If the string $SUBJECT appears in the .vacation.msg file, it is replaced with the subject of the original message when the reply is sent.

No message is sent if the `To:' or the `Cc:' line does not list the user to whom the original message was sent or one of a number of aliases for them, if the initial From line includes the string -REQUEST@, or if a `Precedence: bulk' or `Precedence: junk' line is included in the header.

OPTIONS

-I  Initialize the .vacation.pag and .vacation.dir files and start vacation.

If the -I flag is not specified, and a user argument is given, vacation reads the first line from the standard input (for a `From:' line, no colon). If absent, it produces an error message. The following options may be specified:

-a alias
    Indicate that alias is one of the valid aliases for the user running vacation, so that mail addressed to that alias generates a reply.

-j  Do not check whether the recipient appears in the `To:' or the `Cc:' line.

-tN Change the interval between repeat replies to the same sender. The default is 1 week. A trailing s, m, h, d, or w scales N to seconds, minutes, hours, days, or weeks respectively.

USAGE

To start vacation, create a .forward file in your home directory containing a line of the form:

    \username, "|/usr/ucb/vacation username"

where username is your login name.

Then type in the command:

    vacation -I

To stop vacation, remove the .forward file, or move it to a new name.

If vacation is run with no arguments, it will permit you to interactively turn vacation on or off. It will create a .vacation.msg file for you, or edit an existing one, using the editor specified by the VISUAL or EDITOR environment variable, or vi(1) if neither of those environment variables are set. If a .forward file is present in your home directory, it will ask whether you want to remove it and turn off vacation. If it is not present in your home directory, it creates it for you, and automatically performs a `vacation -I' function, turning on vacation.

FILES
.forward
$HOME/.vacation.msg

A list of senders is kept in the files .vacation.pag and .vacation.dir in your home directory.

SEE ALSO
vi(1), sendmail(8)